<?php
define('_IN_JOHNCMS', 1);

$textl = 'Калькулятор промиллей';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");
///////////////////////////////////////
///Калькулятор промиллей by Nejtron////
///////////////////////////////////////
echo '<div class="phdr">Калькулятор промиллей</div>',
    '<form method="post" action="index.php?act=ok">',
    '<div class="menu">Масса (объем) чистого алкоголя (в граммах или мл):<br />',
    '<input name="1"  maxlength="50" value="" /><br />',
    'Крепость напитка (в десятичной дроби):<br/>',
    '<input name="2" maxlength="50" value=""/><br />',
    'Масса человека (в килограммах):<br/>',
    '<input name="3" maxlength="50" value=""/><br/><select name="select">',
    '<option selected="selected">Выберите пол</option>',
    '<option value="boy">Мужской</option>',
    '<option value="girl">Женский</option></select></div><div class="bmenu">',
    '<input value="Измерить" name="do" type="submit"/></div></form>';

if ($act == "ok") {
    $post[1] = abs(intval($_POST[1]));
    $post[2] = abs(intval($_POST[2]));
    $post[3] = abs(intval($_POST[3]));

    if ($post[3] != 0) {

        if ($_POST['select'] == "boy") //для мужчин
            {
            $t = $post[1] * $post[2] * 0.79384 / ($post[3] * 0.7);
        } elseif ($_POST['select'] == "girl") //для женщин
        {
            $t = $post[1] * $post[2] * 0.79384 / ($post[3] * 0.6);
        }

        echo '<div class="gmenu">Концентрация алкоголя в крови: <span class="red"><b>' . (int)
            $t . ' </b></span>промиллей</div>';
    }
}

echo '<a href="../?">В раздел</a>';

require ('../../incfiles/end.php');
?>